blob: ba1fd3b4b0c1d7f09373619a0e292be103e82319 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
|
--- hurd/daemons/rc.sh.orig 2004-07-09 21:48:42.000000000 +0000
+++ hurd/daemons/rc.sh 2004-07-09 21:48:25.000000000 +0000
@@ -85,7 +85,15 @@
fi
if test -d /var/run; then
- (cd /var/run && { rm -rf -- *; cp /dev/null utmp; chmod 644 utmp; })
+ (cd /var/run && {
+ find . ! -type d ! -name utmp ! -name innd.pid \
+ -exec rm -f -- {} \;
+ cp /dev/null utmp
+ if grep -q ^utmp: /etc/group
+ then
+ chmod 664 utmp
+ chgrp utmp utmp
+ fi; })
fi
echo done
@@ -104,15 +112,25 @@
chmod 664 /etc/motd
-echo -n starting daemons:
+(
+ trap ":" INT QUIT TSTP
-/sbin/syslogd && echo -n ' syslogd'
-/sbin/inetd && echo -n ' inetd'
-
-if test -x /sbin/sendmail -a -r /etc/sendmail.cf; then
- /sbin/sendmail -bd -q30m && echo -n ' sendmail'
-fi
-
-echo .
+ if [ -d /etc/rc.boot ]
+ then
+ for i in /etc/rc.boot/S*
+ do
+ [ ! -f $i ] && continue
+ $i start
+ done
+ fi
+ if [ -d /etc/rc2.d ]
+ then
+ for i in /etc/rc2.d/S*
+ do
+ [ ! -f $i ] && continue
+ $i start
+ done
+ fi
+)
date
|